@import '../variables.scss';

.hero {
    padding-bottom: 100px;
    background-color: $primary-bg;

    @media (max-width: 721px) {
        padding-bottom: 0px;
    }

    &__wrapper {
        display: flex;
        width: 100%;
        position: relative;
    }

    // instagram
    &__instagram {
        background-color: $primary-bg;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 6%;

        &:hover {
            opacity: 0.5;
        }

        @media (max-width: 721px) {
            display: none;
        }

    }
    &__instagram-block {
        transform: rotate(90deg);
    }

    &__link-instagram {
        color: $primary-color-text-extra;
        font-family: 'FuturalDemiC';
        font-size: 14px;
        line-height: 16px;
        text-transform: uppercase;

        &::after {
            content: '';
            position: absolute;
            width: 51px;
            height: 1.5px;
            background-color: $primary-color-text-extra;
            left: 97px;
            top: 50%;
          }

    }

    // scroll
    &__scroll {
            position: absolute;
            bottom: 0;
            left: 0;

            @media (max-width: 1201px) {
                display: none;
            }
        }

    &__scroll-btn {
        transform: translateY(50%);
        height: 100px;
        width: 250px;
        background-color: $primary-bg;
        z-index: 2;
        padding-left: 50px;
        display: flex;
        align-items: center;
        cursor: pointer;
        border: 1px solid transparent;

        span {
            font-family: 'Yeseva One';
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 19px;
            text-transform: uppercase;
            color: $primary-color-text;
            position: relative;

            &::after {
                content: '';
                position: absolute;
                background-image: url(/src/assets/svg/scroll-down.svg);
                width: 29px;
                height: 29px;
                left: 120px;
                top: -5px;
              }
        }

        &:hover {
            transition: all 0.3s ease;
            background: rgba(0, 0, 0, 1);
            border: 1px solid #FFFFFF;
        }
    }

    &__scroll-text {
        color: $primary-color-text;
        font-family: 'Yeseva One';
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 19px;
        text-transform: uppercase;
    }

    &__scrol-img {
        margin-left: 12px;
    }  

    // description
    &__content {
        width: 94%;
        min-height: 707px;
        background-image: linear-gradient(to top, rgba(0,0,0,0.7), rgba(0,0,0,0.7)),
        url('/src/assets/img/hero-bg.jpg');
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        display: flex;
        justify-content: flex-start;
        align-items: center;

        @media (max-width: 721px) {
            width: 100%;
            min-height: 500px;
        }

        @media (max-width: 561px) {
            min-height: 476px;
        }
    }

    &__content-block {
        padding-left: 60px;
        width: 55%;

        @media (max-width: 1201px) {
            width: 100%;
        }

        @media (max-width: 561px) {
            width: 100%;
            padding-left: 18px;
            padding-right: 18px;
            padding-top: 40px;
            padding-bottom: 120px;
        }

        @media (max-width: 376px) {
            padding-bottom: 40px;
        }
    }

    &__title {
        width: 80%;
        font-family: 'Yeseva One';
        color: $primary-color-text;
        font-style: normal;
        font-weight: normal;
        font-size: 40px;
        line-height: 53px;
        text-transform: uppercase;
        span {
            font-family: 'Yeseva One';
            color: $primary-color-text-extra;
        }

        @media (max-width: 561px) {
            width: 100%;
            font-size: 23px;
            line-height: 132.83%;
        }
    }

    &__desc {
        width: 60%;
        margin-top: 20px;
        font-family: 'FuturaBookC';
        font-size: 22px;
        line-height: 30px;
        color: $primary-color-text;

        @media (max-width: 1201px) {
            width: 60%;
        }

        @media (max-width: 561px) {
            font-size: 18px;
            line-height: 135.84%;
            width: 100%;
        }

        @media (max-width: 376px) {
            font-size: 18px;
            line-height: 135.84%;
            width: 96%;
            margin-top: 16px;
        }
    }

    &__btn-block {
        max-width: 80%;
        display: flex;
        margin-top: 40px;

        @media (max-width: 561px) {
            margin: 0 auto;
            margin-top: 40px;
            max-width: 100%;
            flex-direction: column;
        }
    }
}